<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="UTF-8" indent="yes"/>

  <xsl:template match="/">
    <xsl:choose>
      <xsl:when test="count(tpdoc/section)=0"><xsl:call-template name="allegato"/></xsl:when>
      <xsl:otherwise>
        <table border='0' cellspacing='2' cellpadding='5'>
            <xsl:apply-templates select="/tpdoc/section"/>
        </table>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="allegato">
    <h2 align='center'>Selezione documento esterno</h2>
    <div align='center'>
      <INPUT type="file" id="external_document" name="doc" size="80" value=""/>
    </div>
  </xsl:template>

  <xsl:template match="section">
    <tr><td>
    <h2><xsl:value-of select="@name"/></h2>
    <table border="0" cellspacing="0" cellpadding="0" align='center'>
    <xsl:attribute name="id"><xsl:value-of select="@name"/></xsl:attribute>
      <tr><td><INPUT TYPE="hidden"><xsl:attribute name="p_sb"><xsl:value-of select="@name"/></xsl:attribute></INPUT></td><td></td></tr>
        <xsl:apply-templates select="element"/>
      <tr><td><INPUT TYPE="hidden"><xsl:attribute name="p_se"><xsl:value-of select="@name"/></xsl:attribute></INPUT></td><td></td></tr>
    </table>
    </td></tr>
  </xsl:template>

  <xsl:template match="element">
    <tr>
    <xsl:attribute name="id"><xsl:value-of select="@name"/></xsl:attribute>
      <td>
        <xsl:choose>
          <xsl:when test="@title"><xsl:value-of select="@title"/></xsl:when>
          <xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
        </xsl:choose>
        <xsl:if test="@text">
          <span style="cursor: help">
          <xsl:attribute name="title"><xsl:value-of select="@text"/></xsl:attribute>
          <xsl:attribute name="onclick">alert("<xsl:value-of select="@text"/>");</xsl:attribute>
          (*)
          </span>
        </xsl:if>
      </td>
      <td>
        <xsl:choose>
          <xsl:when test="@type[.='param']"><xsl:call-template name="tparam"/></xsl:when>
          <xsl:when test="@type[.='string']"><xsl:call-template name="tstring"/></xsl:when>
          <xsl:when test="@type[.='number']"><xsl:call-template name="tnumber"/></xsl:when>
          <xsl:when test="@type[.='date']"><xsl:call-template name="tdate"/></xsl:when>
          <xsl:when test="@type[.='select']"><xsl:call-template name="tselect"/></xsl:when>
          <xsl:when test="@type[.='check']"><xsl:call-template name="tcheck"/></xsl:when>
          <xsl:when test="@type[.='lookup']"><xsl:call-template name="tlookup"/></xsl:when>
          <xsl:when test="@type[.='file']"><xsl:call-template name="tfile"/></xsl:when>
          <xsl:when test="@type[.='texts']"><xsl:call-template name="ttexts"/></xsl:when>
          <xsl:when test="@type[.='textm']"><xsl:call-template name="ttextm"/></xsl:when>
          <xsl:when test="@type[.='textl']"><xsl:call-template name="ttextl"/></xsl:when>
          <xsl:otherwise>?</xsl:otherwise>
        </xsl:choose>
      </td>
    </tr>
    <xsl:if test="@repeat[.='1'] and not(@old)">
    <tr>
    <xsl:attribute name="id">add_<xsl:value-of select="@name"/></xsl:attribute>
      <td></td>
      <td>
        <input type="button" value=" + ">
        <xsl:attribute name="title">aggiungi un altro elemento <xsl:value-of select="@name"/></xsl:attribute>
        <xsl:attribute name="onClick">lfRepeat(add_<xsl:value-of select="@name"/>)</xsl:attribute>
        </input>
      </td>
    </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="tparam">
    <INPUT type="text" maxlength="100" size="80">
    <xsl:attribute name="p_e"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:choose>
      <xsl:when test="@old_val"><xsl:attribute name="value"><xsl:value-of select="@old_val"/></xsl:attribute></xsl:when>
      <xsl:otherwise><xsl:attribute name="xval"><xsl:value-of select="@subtype"/></xsl:attribute></xsl:otherwise>
    </xsl:choose>
    </INPUT>
  </xsl:template>

  <xsl:template name="tstring">
    <INPUT type="text" maxlength="100" size="80">
    <xsl:attribute name="p_e"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:choose>
      <xsl:when test="@old_val"><xsl:attribute name="value"><xsl:value-of select="@old_val"/></xsl:attribute></xsl:when>
      <xsl:when test="@context"><xsl:attribute name="value"><xsl:value-of select="@context"/></xsl:attribute></xsl:when>
    </xsl:choose>
    </INPUT>
  </xsl:template>

  <xsl:template name="tnumber">
    <INPUT type="text" maxlength="22" size="12" onkeypress="return fAssertDigit()" onblur="fChkFld('number',false)">
    <xsl:attribute name="p_e"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:choose>
      <xsl:when test="@old_val"><xsl:attribute name="value"><xsl:value-of select="@old_val"/></xsl:attribute></xsl:when>
      <xsl:when test="@context"><xsl:attribute name="value"><xsl:value-of select="@context"/></xsl:attribute></xsl:when>
    </xsl:choose>
    </INPUT>
  </xsl:template>

  <xsl:template name="tdate">
    <INPUT type="text" maxlength="10" size="12" onblur="fChkFld('date',false)">
    <xsl:attribute name="id"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:attribute name="p_e"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:choose>
      <xsl:when test="@old_val"><xsl:attribute name="value"><xsl:value-of select="@old_val"/></xsl:attribute></xsl:when>
      <xsl:when test="@context"><xsl:attribute name="value"><xsl:value-of select="@context"/></xsl:attribute></xsl:when>
    </xsl:choose>
    </INPUT>
    <a href="#">
    <xsl:attribute name="onClick">fCal(<xsl:value-of select="@name"/>)</xsl:attribute>
      <img src="../res/calendario.gif" border="0" title="Seleziona la data" />
    </a>
  </xsl:template>

  <xsl:template name="tselect">
    <SELECT>
    <xsl:attribute name="p_es"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:attribute name="csv"><xsl:value-of select="@context"/></xsl:attribute>
    <xsl:if test="@old_cod">
      <xsl:attribute name="xsel"><xsl:value-of select="@old_cod"/></xsl:attribute>
    </xsl:if>
    </SELECT>
  </xsl:template>

  <xsl:template name="tcheck">
    <input type='checkbox' value='Si'>
    <xsl:attribute name="p_ec"><xsl:value-of select="@name"/></xsl:attribute>
    </input>
  </xsl:template>

  <xsl:template name="tlookup">
    <INPUT type="text" maxLength="10" size="10" value="">
    <xsl:attribute name="id">cd_0_<xsl:value-of select="@name"/></xsl:attribute>
    <xsl:attribute name="p_lcd">cd_<xsl:value-of select="@name"/></xsl:attribute>
    <xsl:if test="@old_cod"><xsl:attribute name="value"><xsl:value-of select="@old_cod"/></xsl:attribute></xsl:if>
    </INPUT>
    <INPUT type="text" maxLength="100" size="70" value="">
    <xsl:attribute name="id">ds_0_<xsl:value-of select="@name"/></xsl:attribute>
    <xsl:attribute name="p_lds"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:if test="@old_val"><xsl:attribute name="value"><xsl:value-of select="@old_val"/></xsl:attribute></xsl:if>
    </INPUT>
    <INPUT type="button" class='lookup' value="Elenco" title="Cerca in elenco">
    <xsl:attribute name="onClick">lfElem(cd_0_<xsl:value-of select="@name"/>,ds_0_<xsl:value-of select="@name"/>,'<xsl:value-of select="@subtype"/>')</xsl:attribute>
    </INPUT>
  </xsl:template>

  <xsl:template name="tfile">
    <xsl:choose>
      <xsl:when test="@old">
		<INPUT type="hidden">
			<xsl:attribute name="p_ef"><xsl:value-of select="@name"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@old"/></xsl:attribute>
		</INPUT>
		<a target="_new">
			<xsl:attribute name="href"><xsl:value-of select="@path"/><xsl:value-of select="@old"/></xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="@old"/></xsl:attribute>
			<img border="1" height="80">
				<xsl:attribute name="src"><xsl:value-of select="@path"/><xsl:value-of select="@old"/></xsl:attribute>
			</img>
		</a>		
      </xsl:when>
      <xsl:otherwise>
		<INPUT type="file" size="65">
			<xsl:attribute name="name">doc_0_<xsl:value-of select="@name"/></xsl:attribute>
			<xsl:attribute name="p_ef"><xsl:value-of select="@name"/></xsl:attribute>
			<xsl:if test="@context"><xsl:attribute name="value"><xsl:value-of select="@context"/></xsl:attribute></xsl:if>
		</INPUT>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="ttexts">
    <TEXTAREA rows="4" cols="65">
    <xsl:attribute name="p_et"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:choose>
      <xsl:when test="@old_val"><xsl:value-of select="@old_val"/></xsl:when>
      <xsl:when test="@context"><xsl:value-of select="@context"/></xsl:when>
    </xsl:choose>
    </TEXTAREA>
  </xsl:template>

  <xsl:template name="ttextm">
    <TEXTAREA rows="6" cols="65">
    <xsl:attribute name="p_et"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:choose>
      <xsl:when test="@old_val"><xsl:value-of select="@old_val"/></xsl:when>
      <xsl:when test="@context"><xsl:value-of select="@context"/></xsl:when>
    </xsl:choose>
    </TEXTAREA>
  </xsl:template>

  <xsl:template name="ttextl">
    <TEXTAREA rows="12" cols="65">
    <xsl:attribute name="p_et"><xsl:value-of select="@name"/></xsl:attribute>
    <xsl:choose>
      <xsl:when test="@old_val"><xsl:value-of select="@old_val"/></xsl:when>
      <xsl:when test="@context"><xsl:value-of select="@context"/></xsl:when>
    </xsl:choose>
    </TEXTAREA>
  </xsl:template>

</xsl:stylesheet>
